#
# Default Bacula Director Configuration file
#
#  The only thing that MUST be changed is to add one or more
#   file or directory names in the Include directive of the
#   FileSet resource.
#
#  For Bacula release 2.2.8 (26 January 2008) -- debian lenny/sid
#
#  You might also want to change the default email address
#   from root to your address.  See the "mail" and "operator"
#   directives in the Messages resource.
#

Director {                            # define myself
  Name = BUS
  QueryFile = "/etc/bacula/scripts/query.sql"
  WorkingDirectory = "/var/lib/bacula"
  PidDirectory = "/var/run/bacula"
  Maximum Concurrent Jobs = 1
  Password = "inew"         # Console password
  Messages = Standard
}
#
#JobDefs {
#  Name = "phobos"
#  Type = Backup
#  Level = Incremental
#  Client = phobos-fd
#  FileSet = "Full Set"
#  Schedule = "WeeklyCycle"
#  Storage = file
#  Messages = Standard
#  Pool = Default
#  Priority = 10
#}
#
#
#
# Define the main nightly save backup job
#   By default, this job will back up to disks on:
Job {
  Name = "Dayly"
  Client = backup-fd
  Write Bootstrap = "/var/lib/bacula/Client1.bsr"
  Schedule = "DaylyCycle" 
  Type = Backup
  Messages = Standard
  Level = Incremental
  FileSet = "Dayly Set"
  Storage = File
  Pool = Default
}

Job {
  Name = "Weekly"
  Client = backup-fd
  Write Bootstrap = "/var/lib/bacula/Client2.bsr"
  Schedule = "WeeklyCycle"
  Type = Backup
  Messages = Standard
  Level = Incremental
  FileSet = "Weekly Set"
  Storage = File
  Pool = Default
}
Job {
  Name = "Monthly"
  Client = backup-fd
  Write Bootstrap = "/var/lib/bacula/Client2.bsr"
  Schedule = "MonthlyCycle"
  Type = Backup
  Messages = Standard
  Level = Incremental
  FileSet = "Monthly Set"
  Storage = File
  Pool = Default
}


# Backup the catalog database (after the nightly save)
Job {
  Name = "BackupCatalog"
# JobDefs = "phobos"
  Level = Full
  Type = Backup
  Messages = Standard
  Pool = Default
  Client = backup-fd
  FileSet="Catalog"
  Schedule = "WeeklyCycleAfterBackup"
  # This creates an ASCII copy of the catalog
  # WARNING!
  # Ubuntu uses make_catalog_backup_awk script for
  # security reasons
  # Replace <CatalogName> with the real Catalog name
  RunBeforeJob = "/usr/bin/awk -f /etc/bacula/scripts/make_catalog_backup_awk -v cat1=<BUSCatalog> /etc/bacula/bacula-dir.conf"
  # This deletes the copy of the catalog
  RunAfterJob  = "/etc/bacula/scripts/delete_catalog_backup"
  Write Bootstrap = "/var/lib/bacula/BackupCatalog.bsr"
  Priority = 11                   # run after main backup
}

#
# Standard Restore template, to be changed by Console program
#  Only one such job is needed for all Jobs/Clients/Storage ...
#
#Job {
#  Name = "RestoreFiles"
#  Type = Restore
#  Client = backup-fd
#  FileSet = "Full Set"
#  Storage = file
#  Pool = Default
#  Messages = Standard
#  Where = /bacula-restores
#}
#
FileSet {
  Name = test
  Include {
    File = /etc/test
    Options {
       regex = ".*\.c$"
    }
  }
}
FileSet {
  Name = "Dayly Set"
  Include {
    Options {
      signature = MD5
    }
    File = /sources/phobos/projects_internal1
    File = /sources/fsadmin/administration
    File = /sources/fsadmin/company
    File = /sources/fsadmin/finance
  }
}


FileSet {
  Name = "Weekly Set"
  Include {
    Options {
      signature = MD5
    }
#
#  Put your list of files here, preceded by 'File =', one per line
#    or include an external list with:
#
    File = /sources/phobos/documentation
    File = /sources/fsadmin/public
  }
}
# List of files to be backed up
FileSet {
  Name = "Monthly Set"
  Include {
    Options {
      signature = MD5
    }
#
#  Put your list of files here, preceded by 'File =', one per line
#    or include an external list with:
#
    File = /sources/phobos/software
    File = /sources/phobos/public
    File = /sources/phobos/projects_internal1
    File = /sources/fsadmin/administration
    File = /sources/fsadmin/company
    File = /sources/fsadmin/finance

#
#  Note: / backs up everything on the root partition.
#    if you have other partitons such as /usr or /home
#    you will probably want to add them too.
#
#  By default this is defined to point to the Bacula build
#    directory to give a reasonable FileSet to backup to
#    disk storage during initial testing.
#
    File = /build/buildd/bacula-2.2.8/debian/tmp-build-sqlite
  }

#
# If you backup the root directory, the following two excluded
#   files can be useful
#
  Exclude {
    File = /proc
    File = /tmp
    File = /.journal
    File = /.fsck
  }
}

#
# When to do the backups, full backup on first sunday of the month,
#  differential (i.e. incremental since full) every other sunday,
#  and incremental backups other days
Schedule {
  Name = "DaylyCycle"
  Run = Incremental mon-sun at 22:45
}
Schedule {
  Name = "WeeklyCycle"
  Run = Incremental sat at 23:30
}
Schedule {
  Name = "MonthlyCycle"
  Run = Full 1st sat at 21:30
}
# This schedule does the catalog. It starts after the WeeklyCycle
Schedule {
  Name = "WeeklyCycleAfterBackup"
  Run = Full sun-sat at 23:10
}

# This is the backup of the catalog
FileSet {
  Name = "Catalog"
  Include {
    Options {
      signature = MD5
    }
    File = /var/lib/bacula/bacula.sql
  }
}

# Client (File Services) to backup
Client {
  Name = backup-fd
  Address = backup
  Catalog = MyCatalog
  Password = "inew"          # password for FileDaemon
  File Retention = 30 days            # 30 days
  Job Retention = 6 months            # six months
  AutoPrune = yes                     # Prune expired Jobs/Files
}

#
# Second Client (File Services) to backup
#  You should change Name, Address, and Password before using
#
#Client {
#  Name = fsadmin-fd
#  Address = backup
#  Catalog = MyCatalog
#  Password = "inew"         # password for FileDaemon 2
#  File Retention = 30 days            # 30 days
#  Job Retention = 6 months            # six months
#  AutoPrune = yes                     # Prune expired Jobs/Files
#}
#
#
# Definition of file storage device
Storage {
  Name = File
# Do not use "localhost" here
  Address = ares        # N.B. Use a fully qualified name here
  Password = "inew"
  Device = FileStorage
  Media Type = File
}



# Definition of DDS tape storage device
#Storage {
#  Name = DDS-4
#  Do not use "localhost" here
#  Address = backup                # N.B. Use a fully qualified name here
#  SDPort = 9103
#  Password = "Cv70F6pf1t6pBopT4vQOnigDrR0v3LT3Cgkiyj"          # password for Storage daemon
#  Device = DDS-4                      # must be same as Device in Storage daemon
#  Media Type = DDS-4                  # must be same as MediaType in Storage daemon
#  Autochanger = yes                   # enable for autochanger device
#}

# Definition of 8mm tape storage device
#Storage {
#  Name = "8mmDrive"
#  Do not use "localhost" here
#  Address = backup                # N.B. Use a fully qualified name here
#  SDPort = 9103
#  Password = "Cv70F6pf1t6pBopT4vQOnigDrR0v3LT3Cgkiyj"
#  Device = "Exabyte 8mm"
#  MediaType = "8mm"
#}

# Definition of DVD storage device
#Storage {
#  Name = "DVD"
#  Do not use "localhost" here
#  Address = backup                # N.B. Use a fully qualified name here
#  SDPort = 9103
#  Password = "Cv70F6pf1t6pBopT4vQOnigDrR0v3LT3Cgkiyj"
#  Device = "DVD Writer"
#  MediaType = "DVD"
#}


# Generic catalog service
Catalog {
  Name = MyCatalog
  dbname = bacula; password = "@db_pswd@"
}

# Reasonable message delivery -- send most everything to email address
#  and to the console
Messages {
  Name = Standard
#
# NOTE! If you send to two email or more email addresses, you will need
#  to replace the %r in the from field (-f part) with a single valid
#  email address in both the mailcommand and the operatorcommand.
#  What this does is, it sets the email address that emails would display
#  in the FROM field, which is by default the same email as they're being
#  sent to.  However, if you send email to more than one address, then
#  you'll have to set the FROM address manually, to a single address.
#  for example, a 'no-reply@mydomain.com', is better since that tends to
#  tell (most) people that its coming from an automated source.

#
  mailcommand = "/usr/lib/bacula/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula: %t %e of %c %l\" %r"
  operatorcommand = "/usr/lib/bacula/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula: Intervention needed for %j\" %r"
  mail = echnaton.birkmann@inew-cs.com = all, !skipped
  operator = echnaton.birkmann@inew-cs.com = mount
  console = all, !skipped, !saved
#
#
# WARNING! the following will create a file that you must cycle from
#          time to time as it will grow indefinitely. However, it will
#          also keep all your messages if they scroll off the console.
#
  append = "/var/lib/bacula/log" = all, !skipped
}


#
# Message delivery for daemon messages (no job).
Messages {
  Name = Daemon
  mailcommand = "/usr/lib/bacula/bsmtp -h localhost -f \"\(Bacula\) \<%r\>\" -s \"Bacula daemon message\" %r"
  mail = echnaton.birkmann@inew-cs.com = all, !skipped
  console = all, !skipped, !saved
  append = "/var/lib/bacula/log" = all, !skipped
}




# Default pool definition
Pool {
  Name = Default
  Pool Type = Backup
  Recycle = yes                       # Bacula can automatically recycle Volumes
  AutoPrune = yes                     # Prune expired volumes
  Volume Retention = 365 days         # one year
}

# Scratch pool definition
Pool {
  Name = Scratch
  Pool Type = Backup
  Storage = File
}

#
# Restricted console used by tray-monitor to get the status of the director
#
Console {
  Name = backup-mon
  Password = "inew"
  CommandACL = status, .status
}

